<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.intlchar.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'intlchar.enumchartypes.php',
    1 => 'IntlChar::enumCharTypes',
  ),
  'up' => 
  array (
    0 => 'class.intlchar.php',
    1 => 'IntlChar',
  ),
  'prev' => 
  array (
    0 => 'intlchar.enumcharnames.php',
    1 => 'IntlChar::enumCharNames',
  ),
  'next' => 
  array (
    0 => 'intlchar.foldcase.php',
    1 => 'IntlChar::foldCase',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'reference/intl/intlchar/enumchartypes.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="intlchar.enumchartypes" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">IntlChar::enumCharTypes</h1>
  <p class="verinfo">(PHP 7, PHP 8)</p><p class="refpurpose"><span class="refname">IntlChar::enumCharTypes</span> &mdash; <span class="dc-title">Enumera todos os pontos de código com suas categorias gerais Unicode</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-intlchar.enumchartypes-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="modifier">static</span> <span class="methodname"><strong>IntlChar::enumCharTypes</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code></span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

  <p class="para rdfs-comment">
   Enumera de maneira eficiente todos os pontos de código com suas categorias gerais Unicode. É útil para construir
   estruturas de dados, para enumerar todos os pontos de código atribuídos, etc.
  </p>
  <p class="para">
   Para cada invervalo contíguo de pontos de código com uma categoria geral fornecida (&quot;tipo de caractere&quot;), a
   função <code class="parameter">callback</code> é chamada. Intervalos adjacentes têm tipos diferentes. O Padrão Unicode
   garante que o valor numérico do tipo esteja na faixa 0..31.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-intlchar.enumchartypes-parameters">
  <h3 class="title">Parâmetros</h3>
  <dl>
   
    <dt><code class="parameter">callback</code></dt>
    <dd>
     <p class="para">
      A função que deve er chamada para cada intervalo contíguo de pontos de código com a mesma categoria geral.
      Os três argumentos a seguir serão passadoa à função:
      <ul class="simplelist">
       <li><span class="type"><a href="language.types.integer.php" class="type int">int</a></span> <code class="literal">$start</code> - O ponto de código inicial do intervalo</li>
       <li><span class="type"><a href="language.types.integer.php" class="type int">int</a></span> <code class="literal">$end</code> - O ponto de código final do intervalo</li>
       <li><span class="type"><a href="language.types.integer.php" class="type int">int</a></span> <code class="literal">$name</code> - O tipo da categoria (uma das constantes <code class="literal">IntlChar::CHAR_CATEGORY_*</code>)</li>
      </ul>
     </p>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-intlchar.enumchartypes-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="para">
   Nenhum valor é retornado.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-intlchar.enumchartypes-examples">
  <h3 class="title">Exemplos</h3>
  <div class="example" id="example-2572">
   <p><strong>Exemplo #1 Enumerando um intervalo de pontos de código de exemplo</strong></p>
   <div class="example-contents">
    <div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />IntlChar</span><span style="color: #007700">::</span><span style="color: #0000BB">enumCharTypes</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$start</span><span style="color: #007700">, </span><span style="color: #0000BB">$end</span><span style="color: #007700">, </span><span style="color: #0000BB">$type</span><span style="color: #007700">) {<br />    </span><span style="color: #0000BB">printf</span><span style="color: #007700">(</span><span style="color: #DD0000">"U+%04x até U+%04x estão na categoria %d\n"</span><span style="color: #007700">, </span><span style="color: #0000BB">$start</span><span style="color: #007700">, </span><span style="color: #0000BB">$end</span><span style="color: #007700">, </span><span style="color: #0000BB">$type</span><span style="color: #007700">);<br />});<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>O exemplo acima produzirá:</p></div>
   <div class="example-contents screen">
    <div class="examplescode"><pre class="examplescode">U+0000 até U+0020 estão na categoria 15
U+0020 até U+0021 estão na categoria 12
U+0021 até U+0024 estão na categoria 23
U+0024 até U+0025 estão na categoria 25
U+0025 até U+0028 estão na categoria 23
U+0028 até U+0029 estão na categoria 20
U+0029 até U+002a estão na categoria 21
U+002a até U+002b estão na categoria 23
U+002b até U+002c estão na categoria 24
U+002c até U+002d estão na categoria 23
U+002d até U+002e estão na categoria 19
U+002e até U+0030 estão na categoria 23
U+0030 até U+003a estão na categoria 9
...</pre>
</div>
   </div>
  </div>
 </div>


</div><?php manual_footer($setup); ?>